-- Don't highlight on search
vim.o.hlsearch = false
vim.o.incsearch = true

-- Enable line numbers by default
vim.o.number = true
vim.o.relativenumber = true

-- Tab settings
vim.o.tabstop = 4
vim.o.softtabstop = 4
vim.o.shiftwidth = 4
vim.o.expandtab = true

-- Enable smart indenting
vim.o.smartindent = true

-- Enable the mouse, just to have it
vim.o.mouse = 'a'

-- Enable system clipboard
vim.o.clipboard = 'unnamedplus'

-- Enable break indent
vim.o.breakindent = true

-- History settings
vim.o.undofile = true
vim.o.undodir = os.getenv("HOME") .. "/.local/state/nvim"
vim.o.swapfile = true
vim.o.swapfile = true

-- Case-insensitive searching UNLESS \C or capital in search
vim.o.ignorecase = true
vim.o.smartcase = true

-- Keep signcolumn on by default
vim.o.signcolumn = 'yes'

-- Decrease update time
vim.o.updatetime = 50
vim.o.timeoutlen = 300

-- Set completeopt to have a better completion experience
vim.o.completeopt = 'menuone,noselect'

-- Enable true color support
vim.o.termguicolors = true

-- Enable scroll off
vim.o.scrolloff = 8

-- Color the 80 column
vim.o.colorcolumn = "80"
